# Interface methods for submodule: RawImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: RawImageIO
class RawImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetHeaderSize(self, size: int) -> None:
		""""""
		...

	def GetHeaderSize(self) -> int:
		""""""
		...

	def SetFileDimensionality(self, _arg: int) -> None:
		""""""
		...

	def GetFileDimensionality(self) -> int:
		""""""
		...

	def SupportsDimension(self, dim: int) -> bool:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def GetImageMask(self) -> int:
		""""""
		...

	def SetImageMask(self, val: int) -> None:
		""""""
		...

	def ReadHeader(self, arg0: str = ...) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

